Upstream information

CVE-2017-18248 at MITRE

Description

The add_job function in scheduler/ipp.c in CUPS before 2.2.6, when D-Bus support is enabled, can be crashed by remote attackers by sending print jobs with an invalid username, related to a D-Bus notification.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 6.5
Vector CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity High Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1087018 [RESOLVED / FIXED], 1087072 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-ddk >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-BSK-12-SP3-2018-1471
SUSE Linux Enterprise Desktop 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-client >= 1.7.5-20.14.1
  • cups-libs >= 1.7.5-20.14.1
  • cups-libs-32bit >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1471
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • cups >= 1.7.5-20.17.1
  • cups-client >= 1.7.5-20.17.1
  • cups-libs >= 1.7.5-20.17.1
  • cups-libs-32bit >= 1.7.5-20.17.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • cups >= 1.7.5-20.23.1
  • cups-client >= 1.7.5-20.23.1
  • cups-libs >= 1.7.5-20.23.1
  • cups-libs-32bit >= 1.7.5-20.23.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • cups >= 2.2.7-3.11.7
  • cups-client >= 2.2.7-3.11.7
  • cups-config >= 2.2.7-3.11.7
  • cups-devel >= 2.2.7-3.11.7
  • libcups2 >= 2.2.7-3.11.7
  • libcups2-32bit >= 2.2.7-3.11.7
  • libcupscgi1 >= 2.2.7-3.11.7
  • libcupsimage2 >= 2.2.7-3.11.7
  • libcupsmime1 >= 2.2.7-3.11.7
  • libcupsppdc1 >= 2.2.7-3.11.7
SUSE Linux Enterprise Module for Basesystem 15
  • cups >= 2.2.7-1.24
  • cups-client >= 2.2.7-1.24
  • cups-config >= 2.2.7-1.24
  • cups-devel >= 2.2.7-1.24
  • libcups2 >= 2.2.7-1.24
  • libcupscgi1 >= 2.2.7-1.24
  • libcupsimage2 >= 2.2.7-1.24
  • libcupsmime1 >= 2.2.7-1.24
  • libcupsppdc1 >= 2.2.7-1.24
SUSE Linux Enterprise Module for Desktop Applications 15
  • libcups2-32bit >= 2.2.7-1.24
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • cups-ddk >= 2.2.7-3.11.7
SUSE Linux Enterprise Module for Development Tools 15
  • cups-ddk >= 2.2.7-1.24
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-client >= 1.7.5-20.14.1
  • cups-libs >= 1.7.5-20.14.1
  • cups-libs-32bit >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1471
SUSE Linux Enterprise Software Development Kit 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-ddk >= 1.7.5-20.14.1
  • cups-devel >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1471
SUSE Linux Enterprise Software Development Kit 12 SP4
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • cups-ddk >= 1.7.5-20.23.1
  • cups-devel >= 1.7.5-20.23.1
openSUSE Leap 15.0
  • cups >= 2.2.7-lp150.1.1
  • cups-client >= 2.2.7-lp150.1.1
  • cups-config >= 2.2.7-lp150.1.1
  • libcups2 >= 2.2.7-lp150.1.1
  • libcupscgi1 >= 2.2.7-lp150.1.1
  • libcupsimage2 >= 2.2.7-lp150.1.1
  • libcupsmime1 >= 2.2.7-lp150.1.1
  • libcupsppdc1 >= 2.2.7-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA cups
openSUSE Leap 42.3
  • cups >= 1.7.5-12.6.1
  • cups-client >= 1.7.5-12.6.1
  • cups-client-debuginfo >= 1.7.5-12.6.1
  • cups-ddk >= 1.7.5-12.6.1
  • cups-ddk-debuginfo >= 1.7.5-12.6.1
  • cups-debuginfo >= 1.7.5-12.6.1
  • cups-debugsource >= 1.7.5-12.6.1
  • cups-devel >= 1.7.5-12.6.1
  • cups-libs >= 1.7.5-12.6.1
  • cups-libs-32bit >= 1.7.5-12.6.1
  • cups-libs-debuginfo >= 1.7.5-12.6.1
  • cups-libs-debuginfo-32bit >= 1.7.5-12.6.1
Patchnames:
openSUSE-2018-822


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Basesystem cups Already fixed
SUSE Linux Enterprise 15 Module for Desktop Applications cups Already fixed
SUSE Linux Enterprise 15 Module for Development Tools cups Already fixed
SUSE Linux Enterprise Desktop 12 SP2 cups Affected
SUSE Linux Enterprise Desktop 12 SP3 cups Released
SUSE Linux Enterprise High Performance Computing 12 SP5 cups Released
SUSE Linux Enterprise Server 11 SP1 cups Not affected
SUSE Linux Enterprise Server 11 SP3 cups Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS cups Not affected
SUSE Linux Enterprise Server 11 SP4 cups Not affected
SUSE Linux Enterprise Server 12 LTSS cups Affected
SUSE Linux Enterprise Server 12 SP1 LTSS cups Affected
SUSE Linux Enterprise Server 12 SP2 cups Unsupported
SUSE Linux Enterprise Server 12 SP3 cups Released
SUSE Linux Enterprise Server 12 SP5 cups Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cups Released
SUSE Linux Enterprise Software Bootstrap Kit 12 cups Released
SUSE Linux Enterprise Software Development Kit 11 SP4 cups Not affected
SUSE Linux Enterprise Software Development Kit 12 cups Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 cups Released